<?php
namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities\Query;
use Doctrine\ORM\EntityManager;

class CadTipoCampanhaService {
   
    protected $entityManager;
    
    public function __construct($entityManager) {
        $this->entityManager = $entityManager;
    }
    
	public function nextCodeCampanha ($NRORG) {
		$param = array(
			":NRORG" => $NRORG
		);
		
	    $result = $this->entityManager->getConnection()->fetchAll(self::GET_MAX_CDTIPOCAMPANHA,$param);
	    $MAXCDCAMPANHA = intval($result[0]["CDTPCAMPANHA"]) + 1;
	    return $MAXCDCAMPANHA;
	}
	
	public function verificaCode ($params){
		$result = $this->entityManager->getConnection()->fetchAll(self::COUNT_CDTIPOCAMPANHA,$params)[0]['COUNT(*)'];
		return $result;
	}
	
	const GET_MAX_CDTIPOCAMPANHA = "
    SELECT MAX(CDTPCAMPANHA) AS CDTPCAMPANHA FROM TPCAMPANHA WHERE NRORG = :NRORG
  ";
  
	const COUNT_CDTIPOCAMPANHA = "
	SELECT COUNT(*) FROM TPCAMPANHA 
		WHERE NRORG = :NRORG 
		AND CDTPCAMPANHA = :CDTPCAMPANHA";
}