<?php
namespace Teknisa\MAN\Utilities;

use Zeedhi\Framework\DependencyInjection\InstanceManager;

class Utilities {

	public static function nfceSatPath(){
		$instanceManager = InstanceManager::getInstance();
		return $instanceManager->getParameter('nfceSatPath');
	}

	public static function satPath(){
		$nfceSatPath = self::nfceSatPath();
		$satPath = $nfceSatPath.DIRECTORY_SEPARATOR.'SAT';
		return $satPath;
	}

	public static function nfcePath(){
		$nfceSatPath = self::nfceSatPath();
		$nfcePath = $nfceSatPath.DIRECTORY_SEPARATOR.'NFCE';
		return $nfcePath;
	}

	public static function createFolder($folder){
        if (!is_dir($folder)) {
            if(!mkdir($folder, 0777, true)) {
            	return true;
            }else{
            	return false;
            }
        }else{
        	return true;
        }
    }

	public static function parseFloatToSave($field) {
		return str_replace('.', ',', strval($field));
	}
}